petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCHMGSetCoarseningComponent

Set which component is used for the subspace-based coarsening algorithm

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGSetCoarseningComponent(PC pc, PetscInt component)

Logically Collective on PC

### Input Parameters

| pc | - the HMG context
| component | - which component PC will coarsen

### Options Database Keys

-pc_hmg_coarsening_component -Which component is chosen for the subspace-based coarsening algorithm

### Keywords

HMG, multigrid, interpolation, coarsening, component

### See Also

PCHMG, PCType

### Level

beginner

### Location

src/ksp/pc/impls/hmg/hmg.c

### Examples

src/ksp/ksp/examples/tutorials/ex4.c.html

### Implementations

PCHMGSetCoarseningComponent_HMG in src/ksp/pc/impls/hmg/hmg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages